use std::path::PathBuf;

pub(crate) type RefDependencyManager = std::sync::Arc<std::sync::Mutex<DependencyManager>>;

#[derive(Debug)]
pub(crate) struct DependencyManager {
    /// A stack of paths for the files being visited.
    ///
    /// The last entry is the current file being processed. This can be used for handling relative-path links.
    file_stack: Vec<PathBuf>,
}

impl DependencyManager {
    pub(crate) fn new() -> Self {
        DependencyManager {
            file_stack: Vec::new(),
        }
    }
}
